<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::IcmpHeader Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="../../d9/d6d/classThread_1_1Ip6_1_1IcmpHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::IcmpHeader Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d9/dbe/group__core-ip6-icmp6.html">ICMPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements ICMPv6 header generation and parsing.  
 <a href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d0/dba/icmp6_8hpp_source.html">src/core/net/icmp6.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Ip6::IcmpHeader:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d2c/classThread_1_1Ip6_1_1IcmpHeader__inherit__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1IcmpHeader_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Ip6_1_1IcmpHeader_inherit__map" id="Thread_1_1Ip6_1_1IcmpHeader_inherit__map">
<area shape="rect" id="node2" href="../../d4/d90/structThread_1_1Ip6_1_1IcmpHeaderPoD.html" title="This structure represents an ICMPv6 header. " alt="" coords="5,5,201,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Ip6::IcmpHeader:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/db1/classThread_1_1Ip6_1_1IcmpHeader__coll__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1IcmpHeader_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Ip6_1_1IcmpHeader_coll__map" id="Thread_1_1Ip6_1_1IcmpHeader_coll__map">
<area shape="rect" id="node2" href="../../d4/d90/structThread_1_1Ip6_1_1IcmpHeaderPoD.html" title="This structure represents an ICMPv6 header. " alt="" coords="5,5,201,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a9939caba0638b495eb7a74bfc76120fb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">Type</a> { <br />
&#160;&#160;<a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fba7a7b44dcfeec8258930d1837f5e94ee1">kTypeDstUnreach</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fbae7039b73ba8a6d010b84f9f1fdecfb31">kTypeEchoRequest</a> = 128, 
<br />
&#160;&#160;<a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fba8f70e7d366dd6a8a2334d4d1d31ff83f">kTypeEchoReply</a> = 129
<br />
 }<tr class="memdesc:a9939caba0638b495eb7a74bfc76120fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">ICMPv6 <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> Types.  <a href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a9939caba0638b495eb7a74bfc76120fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2a08e3b5fc1a6cb6a1f2dead5403e02"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Code</a> { <a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02a8e8fca8bc66b19a72d0a919c07153022">kCodeDstUnreachNoRoute</a> = 0
 }<tr class="memdesc:ac2a08e3b5fc1a6cb6a1f2dead5403e02"><td class="mdescLeft">&#160;</td><td class="mdescRight">ICMPv6 <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> Codes.  <a href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ac2a08e3b5fc1a6cb6a1f2dead5403e02"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aef3c7da70d4b476884163996141a481b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef3c7da70d4b476884163996141a481b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#aef3c7da70d4b476884163996141a481b">Init</a> ()</td></tr>
<tr class="memdesc:aef3c7da70d4b476884163996141a481b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the ICMPv6 header to all zeros. <br /></td></tr>
<tr class="separator:aef3c7da70d4b476884163996141a481b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad51a0764c274f4d82fd23a99fa1e6800"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ad51a0764c274f4d82fd23a99fa1e6800">GetType</a> () const </td></tr>
<tr class="memdesc:ad51a0764c274f4d82fd23a99fa1e6800"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the ICMPv6 message type.  <a href="#ad51a0764c274f4d82fd23a99fa1e6800">More...</a><br /></td></tr>
<tr class="separator:ad51a0764c274f4d82fd23a99fa1e6800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8609c3839e26f6ab4625159bf9c35873"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a8609c3839e26f6ab4625159bf9c35873">SetType</a> (<a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">Type</a> aType)</td></tr>
<tr class="memdesc:a8609c3839e26f6ab4625159bf9c35873"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the ICMPv6 message type.  <a href="#a8609c3839e26f6ab4625159bf9c35873">More...</a><br /></td></tr>
<tr class="separator:a8609c3839e26f6ab4625159bf9c35873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f4d328694de528770bce839e920f1ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Code</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9f4d328694de528770bce839e920f1ff">GetCode</a> () const </td></tr>
<tr class="memdesc:a9f4d328694de528770bce839e920f1ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the ICMPv6 message code.  <a href="#a9f4d328694de528770bce839e920f1ff">More...</a><br /></td></tr>
<tr class="separator:a9f4d328694de528770bce839e920f1ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af871471b8d84ee757ecd81483944373e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#af871471b8d84ee757ecd81483944373e">SetCode</a> (<a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Code</a> aCode)</td></tr>
<tr class="memdesc:af871471b8d84ee757ecd81483944373e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the ICMPv6 message code.  <a href="#af871471b8d84ee757ecd81483944373e">More...</a><br /></td></tr>
<tr class="separator:af871471b8d84ee757ecd81483944373e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a027f2899206b74dad24b25d164163d37"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a027f2899206b74dad24b25d164163d37">GetChecksum</a> () const </td></tr>
<tr class="memdesc:a027f2899206b74dad24b25d164163d37"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the ICMPv6 message checksum.  <a href="#a027f2899206b74dad24b25d164163d37">More...</a><br /></td></tr>
<tr class="separator:a027f2899206b74dad24b25d164163d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2af997154e86c8bb48118623c4ea8b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a6e2af997154e86c8bb48118623c4ea8b">SetChecksum</a> (uint16_t aChecksum)</td></tr>
<tr class="memdesc:a6e2af997154e86c8bb48118623c4ea8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the ICMPv6 message checksum.  <a href="#a6e2af997154e86c8bb48118623c4ea8b">More...</a><br /></td></tr>
<tr class="separator:a6e2af997154e86c8bb48118623c4ea8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85cd947dd4eb8f5ba2c2fbd8a09a564d"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a85cd947dd4eb8f5ba2c2fbd8a09a564d">GetId</a> () const </td></tr>
<tr class="memdesc:a85cd947dd4eb8f5ba2c2fbd8a09a564d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the ICMPv6 message ID for Echo Requests and Replies.  <a href="#a85cd947dd4eb8f5ba2c2fbd8a09a564d">More...</a><br /></td></tr>
<tr class="separator:a85cd947dd4eb8f5ba2c2fbd8a09a564d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2fc6f420d783b7185bc11906d9d7bcf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ad2fc6f420d783b7185bc11906d9d7bcf">SetId</a> (uint16_t aId)</td></tr>
<tr class="memdesc:ad2fc6f420d783b7185bc11906d9d7bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the ICMPv6 message ID for Echo Requests and Replies.  <a href="#ad2fc6f420d783b7185bc11906d9d7bcf">More...</a><br /></td></tr>
<tr class="separator:ad2fc6f420d783b7185bc11906d9d7bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a036101271b93c88ed1cc7038c45bd163"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a036101271b93c88ed1cc7038c45bd163">GetSequence</a> () const </td></tr>
<tr class="memdesc:a036101271b93c88ed1cc7038c45bd163"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the ICMPv6 message sequence for Echo Requests and Replies.  <a href="#a036101271b93c88ed1cc7038c45bd163">More...</a><br /></td></tr>
<tr class="separator:a036101271b93c88ed1cc7038c45bd163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a275fba913f341b9d0e7018b5e02e072a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a275fba913f341b9d0e7018b5e02e072a">SetSequence</a> (uint16_t aSequence)</td></tr>
<tr class="memdesc:a275fba913f341b9d0e7018b5e02e072a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the ICMPv6 message sequence for Echo Requests and Replies.  <a href="#a275fba913f341b9d0e7018b5e02e072a">More...</a><br /></td></tr>
<tr class="separator:a275fba913f341b9d0e7018b5e02e072a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aeda92e625e305e9021bc18ccadfba4ca"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#aeda92e625e305e9021bc18ccadfba4ca">GetChecksumOffset</a> ()</td></tr>
<tr class="memdesc:aeda92e625e305e9021bc18ccadfba4ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the byte offset of the Checksum field in the ICMPv6 header.  <a href="#aeda92e625e305e9021bc18ccadfba4ca">More...</a><br /></td></tr>
<tr class="separator:aeda92e625e305e9021bc18ccadfba4ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a500827c838059c96ab7c1aea787a74fb"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a500827c838059c96ab7c1aea787a74fb">GetDataOffset</a> ()</td></tr>
<tr class="memdesc:a500827c838059c96ab7c1aea787a74fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the byte offset of the ICMPv6 payload.  <a href="#a500827c838059c96ab7c1aea787a74fb">More...</a><br /></td></tr>
<tr class="separator:a500827c838059c96ab7c1aea787a74fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements ICMPv6 header generation and parsing. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="ac2a08e3b5fc1a6cb6a1f2dead5403e02"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Thread::Ip6::IcmpHeader::Code</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ICMPv6 <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> Codes. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ac2a08e3b5fc1a6cb6a1f2dead5403e02a8e8fca8bc66b19a72d0a919c07153022"></a>kCodeDstUnreachNoRoute&#160;</td><td class="fielddoc">
<p>Destination Unreachable No <a class="el" href="../../d6/dcb/structThread_1_1Ip6_1_1Route.html" title="This structure represents an IPv6 route. ">Route</a>. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a9939caba0638b495eb7a74bfc76120fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">Thread::Ip6::IcmpHeader::Type</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ICMPv6 <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> Types. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a9939caba0638b495eb7a74bfc76120fba7a7b44dcfeec8258930d1837f5e94ee1"></a>kTypeDstUnreach&#160;</td><td class="fielddoc">
<p>Destination Unreachable. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9939caba0638b495eb7a74bfc76120fbae7039b73ba8a6d010b84f9f1fdecfb31"></a>kTypeEchoRequest&#160;</td><td class="fielddoc">
<p>Echo Request. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9939caba0638b495eb7a74bfc76120fba8f70e7d366dd6a8a2334d4d1d31ff83f"></a>kTypeEchoReply&#160;</td><td class="fielddoc">
<p>Echo Reply. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a027f2899206b74dad24b25d164163d37"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::IcmpHeader::GetChecksum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the ICMPv6 message checksum. </p>
<dl class="section return"><dt>Returns</dt><dd>The ICMPv6 message checksum. </dd></dl>

</div>
</div>
<a class="anchor" id="aeda92e625e305e9021bc18ccadfba4ca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Ip6::IcmpHeader::GetChecksumOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the byte offset of the Checksum field in the ICMPv6 header. </p>
<dl class="section return"><dt>Returns</dt><dd>The byte offset of the Checksum field. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_aeda92e625e305e9021bc18ccadfba4ca_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_aeda92e625e305e9021bc18ccadfba4ca_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_aeda92e625e305e9021bc18ccadfba4ca_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_aeda92e625e305e9021bc18ccadfba4ca_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a872e20ca6e8737eaf91db859041e10f7" title="This method updates the ICMPv6 checksum. " alt="" coords="223,133,356,172"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="404,140,617,165"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="984,5,1117,44"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="707,71,841,109"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="707,133,841,172"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="665,196,883,221"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2308,76,2463,115"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="931,77,1170,103"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1218,121,1380,160"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1428,121,1592,160"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1640,184,1810,223"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1643,59,1807,97"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1655,121,1795,160"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1858,156,2038,181"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2086,93,2260,132"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2131,156,2215,181"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9f4d328694de528770bce839e920f1ff"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Code</a> Thread::Ip6::IcmpHeader::GetCode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the ICMPv6 message code. </p>
<dl class="section return"><dt>Returns</dt><dd>The ICMPv6 message code. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a9f4d328694de528770bce839e920f1ff_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a9f4d328694de528770bce839e920f1ff_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a9f4d328694de528770bce839e920f1ff_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a9f4d328694de528770bce839e920f1ff_icgraph">
<area shape="rect" id="node2" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="223,68,395,107"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="443,68,608,107"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="658,5,823,44"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="656,68,825,107"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="670,131,811,169"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="873,75,1054,100"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1102,40,1275,79"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1146,103,1231,128"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1323,96,1479,135"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a500827c838059c96ab7c1aea787a74fb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Ip6::IcmpHeader::GetDataOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the byte offset of the ICMPv6 payload. </p>
<dl class="section return"><dt>Returns</dt><dd>The Byte offset of the ICMPv6 payload. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a500827c838059c96ab7c1aea787a74fb_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a500827c838059c96ab7c1aea787a74fb_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a500827c838059c96ab7c1aea787a74fb_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a500827c838059c96ab7c1aea787a74fb_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="223,71,356,109"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="404,77,617,103"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="984,5,1117,44"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="707,71,841,109"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="665,133,883,159"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2308,76,2463,115"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="931,77,1170,103"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1218,121,1380,160"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1428,121,1592,160"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1640,184,1810,223"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1643,59,1807,97"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1655,121,1795,160"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1858,156,2038,181"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2086,93,2260,132"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2131,156,2215,181"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a85cd947dd4eb8f5ba2c2fbd8a09a564d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::IcmpHeader::GetId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the ICMPv6 message ID for Echo Requests and Replies. </p>
<dl class="section return"><dt>Returns</dt><dd>The ICMPv6 message ID. </dd></dl>

</div>
</div>
<a class="anchor" id="a036101271b93c88ed1cc7038c45bd163"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::IcmpHeader::GetSequence </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the ICMPv6 message sequence for Echo Requests and Replies. </p>
<dl class="section return"><dt>Returns</dt><dd>The ICMPv6 message sequence. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a036101271b93c88ed1cc7038c45bd163_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a036101271b93c88ed1cc7038c45bd163_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a036101271b93c88ed1cc7038c45bd163_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a036101271b93c88ed1cc7038c45bd163_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2308,37,2463,75"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="707,43,841,82"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="223,103,356,142"/>
<area shape="rect" id="node5" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="404,110,617,135"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="707,106,841,145"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="665,169,883,194"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="931,113,1170,138"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1218,157,1380,195"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1428,157,1592,195"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1640,219,1810,258"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1643,94,1807,133"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1655,157,1795,195"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1858,191,2038,217"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2086,129,2260,167"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2131,191,2215,217"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad51a0764c274f4d82fd23a99fa1e6800"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">Type</a> Thread::Ip6::IcmpHeader::GetType </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the ICMPv6 message type. </p>
<dl class="section return"><dt>Returns</dt><dd>The ICMPv6 message type. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad51a0764c274f4d82fd23a99fa1e6800_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad51a0764c274f4d82fd23a99fa1e6800_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad51a0764c274f4d82fd23a99fa1e6800_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad51a0764c274f4d82fd23a99fa1e6800_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="223,72,356,111"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="404,79,617,104"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="984,5,1117,44"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="707,72,841,111"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="665,135,883,160"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2308,77,2463,116"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="931,79,1170,104"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1218,123,1380,161"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1428,123,1592,161"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1640,185,1810,224"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1643,60,1807,99"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1655,123,1795,161"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1858,157,2038,183"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2086,95,2260,133"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2131,157,2215,183"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6e2af997154e86c8bb48118623c4ea8b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::IcmpHeader::SetChecksum </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aChecksum</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the ICMPv6 message checksum. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aChecksum</td><td>The ICMPv6 message checksum. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af871471b8d84ee757ecd81483944373e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::IcmpHeader::SetCode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Code</a>&#160;</td>
          <td class="paramname"><em>aCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the ICMPv6 message code. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aCode</td><td>The ICMPv6 message code. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_af871471b8d84ee757ecd81483944373e_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_af871471b8d84ee757ecd81483944373e_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_af871471b8d84ee757ecd81483944373e_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_af871471b8d84ee757ecd81483944373e_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="223,101,356,140"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="404,83,643,108"/>
<area shape="rect" id="node4" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="691,101,853,140"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="901,69,1065,108"/>
<area shape="rect" id="node7" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1113,131,1283,169"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1116,5,1280,44"/>
<area shape="rect" id="node12" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1127,68,1268,107"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1331,137,1511,163"/>
<area shape="rect" id="node9" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1559,103,1732,141"/>
<area shape="rect" id="node10" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1604,165,1688,191"/>
<area shape="rect" id="node11" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1780,159,1936,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad2fc6f420d783b7185bc11906d9d7bcf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::IcmpHeader::SetId </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the ICMPv6 message ID for Echo Requests and Replies. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aId</td><td>The ICMPv6 message ID. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad2fc6f420d783b7185bc11906d9d7bcf_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad2fc6f420d783b7185bc11906d9d7bcf_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad2fc6f420d783b7185bc11906d9d7bcf_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_ad2fc6f420d783b7185bc11906d9d7bcf_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="223,5,356,44"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="404,5,560,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a275fba913f341b9d0e7018b5e02e072a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::IcmpHeader::SetSequence </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aSequence</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the ICMPv6 message sequence for Echo Requests and Replies. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aSequence</td><td>The ICMPv6 message sequence. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a275fba913f341b9d0e7018b5e02e072a_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a275fba913f341b9d0e7018b5e02e072a_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a275fba913f341b9d0e7018b5e02e072a_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a275fba913f341b9d0e7018b5e02e072a_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="223,5,356,44"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="404,5,560,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8609c3839e26f6ab4625159bf9c35873"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::IcmpHeader::SetType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#a9939caba0638b495eb7a74bfc76120fb">Type</a>&#160;</td>
          <td class="paramname"><em>aType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the ICMPv6 message type. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aType</td><td>The ICMPv6 message type. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a8609c3839e26f6ab4625159bf9c35873_icgraph.png" border="0" usemap="#d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a8609c3839e26f6ab4625159bf9c35873_icgraph" alt=""/></div>
<map name="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a8609c3839e26f6ab4625159bf9c35873_icgraph" id="d2/de0/classThread_1_1Ip6_1_1IcmpHeader_a8609c3839e26f6ab4625159bf9c35873_icgraph">
<area shape="rect" id="node2" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="707,5,841,44"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="707,120,841,159"/>
<area shape="rect" id="node14" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="223,63,356,101"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2308,31,2463,69"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="931,112,1170,137"/>
<area shape="rect" id="node6" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1218,131,1380,169"/>
<area shape="rect" id="node7" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1428,152,1592,191"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1640,91,1810,129"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1643,216,1807,255"/>
<area shape="rect" id="node13" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1655,153,1795,192"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1858,97,2038,123"/>
<area shape="rect" id="node11" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2086,112,2260,151"/>
<area shape="rect" id="node12" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2131,63,2215,88"/>
<area shape="rect" id="node15" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="404,69,617,95"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="665,69,883,95"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../d0/dba/icmp6_8hpp_source.html">icmp6.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html">IcmpHeader</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
